package com.jxml.quick.qmap;
import java.util.*;

/**
 * Returns false if any qualifier in the list returns false.
 */
public class QQualifierItemIntEQUAL implements QQualifier
{
	public int ndx;
	public int value;

	public QQualifierItemIntEQUAL(){}

	public QQualifierItemIntEQUAL(int ndx, int value)
	{
		this.ndx=ndx;
		this.value=value;
	}

	public boolean acceptable(QIndexedComparableList icl)
	{
		Integer item=(Integer)icl.keyList.get(ndx);
		int i=item.intValue();
		return i==value;
	}
}